4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildPy

Classes: BuildPy

## Classes

class BuildPy(distutils.command.build_py.build_py)

  ### Methods

  copy_file(self, src, dest, *args, **kwds)
    Overridden to validate Python sources before copying them.
    Overrides: copy_file from class build_py
  get_source_files(self)
    Overrides: get_source_files from class build_py

  ### Methods inherited from class distutils.command.build_py.build_py

  build_module, build_modules, build_package_data, build_packages, byte_compile, check_module, check_package, finalize_options, find_all_modules, find_data_files, find_modules, find_package_modules, get_data_files, get_module_outfile, get_outputs, get_package_dir, initialize_options, run

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'build_py'

  ### Members inherited from class distutils.command.build_py.build_py

  boolean_options, description, negative_opt, user_options

  ### Members inherited from class distutils.cmd.Command

  sub_commands